=== debian/changelog ===
bzrtp (1.0.2-1.2build0.16.04.1) xenial-security; urgency=medium

  * fake sync from Debian

 -- Mike Salvatore <mike.salvatore@canonical.com>  Wed, 23 Jan 2019 09:56:31 -0500

bzrtp (1.0.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2016-6271 (Closes: #859277)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 04 Jun 2017 18:24:14 +0200

bzrtp (1.0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for linking against mbedTLS. (Closes: #808066)
  * Pass -Wl,--as-needed when building to avoid useless dependencies on
    libmbedtls and libmbedx509.

 -- James Cowgill <james410@cowgill.org.uk>  Thu, 31 Dec 2015 18:36:30 +0000

bzrtp (1.0.2-1) unstable; urgency=medium

  [ Felix Lechner ]
  * Initial release (Closes: #785461)

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 21 Jun 2015 08:01:29 +0300
