=== debian/control ===
Source: bzrtp
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
Build-Depends:
 debhelper (>= 9),
 autotools-dev,
 dh-autoreconf,
 pkg-config,
 libmbedtls-dev,
 libxml2-dev,
 libcunit1-ncurses-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.linphone.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-voip/bzrtp/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/bzrtp/

Package: libbzrtp0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Library for the ZRTP key exchange protocol
 Bzrtp is an open source implementation of the ZRTP key exchange protocol. 
 The library is written in C 89. It is fully portable and can be executed 
 on many platforms including ARM and x86.
 .
 The library enables encrypted communications in Linphone.

Package: libbzrtp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libbzrtp0 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for the Bzrtp key exchange library
 Bzrtp is an open source implementation of the ZRTP key exchange protocol. 
 The library is written in C 89. It is fully portable and can be executed 
 on many platforms including ARM and x86. 
 .
 This package contains the development files.

Package: libbzrtp0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 libbzrtp0 (= ${binary:Version}),
 ${misc:Depends}
Description: Debug symbols for the Bzrtp key exchange library
 Bzrtp is an open source implementation of the ZRTP key exchange protocol. 
 The library is written in C 89. It is fully portable and can be executed 
 on many platforms including ARM and x86. 
 .
 This package contains the debugging symbols.
