=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment this to change the hardening options
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel \
		--with autotools-dev --with autoreconf \
		--buildsystem=autoconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --enable-static

override_dh_strip:
	dh_strip -plibbzrtp0 --dbg-package=libbzrtp0-dbg
