=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,40 +16,65 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 #
 ############################################################################
 
 set(SOURCE_FILES
 	bzrtp.c
-	cryptoPolarssl.c
 	cryptoUtils.c
 	packetParser.c
 	pgpwords.c
 	stateMachine.c
 	zidCache.c
 )
+if(POLARSSL_FOUND)
+	list(APPEND SOURCE_FILES cryptoPolarssl.c)
+elseif(MBEDTLS_FOUND)
+	list(APPEND SOURCE_FILES cryptoMbedtls.c)
+endif()
+
+bc_apply_compile_flags(SOURCE_FILES STRICT_OPTIONS_CPP)
+
+set(INCLUDE_DIRS ${BCTOOLBOX_CORE_INCLUDE_DIRS})
+set(LIBS ${BCTOOLBOX_CORE_LIBRARIES})
+if(SQLITE3_FOUND)
+	list(APPEND INCLUDE_DIRS ${SQLITE3_INCLUDE_DIRS})
+	list(APPEND LIBS ${SQLITE3_LIBRARIES})
+endif()
+if(XML2_FOUND)
+	list(APPEND INCLUDE_DIRS ${XML2_INCLUDE_DIRS})
+	list(APPEND LIBS ${XML2_LIBRARIES})
+endif()
 
 if(ENABLE_STATIC)
-	add_library(bzrtp STATIC ${SOURCE_FILES})
-	target_link_libraries(bzrtp ${LIBS})
-else()
+	add_library(bzrtp-static STATIC ${SOURCE_FILES})
+	set_target_properties(bzrtp-static PROPERTIES OUTPUT_NAME bzrtp)
+	target_include_directories(bzrtp-static PUBLIC ${INCLUDE_DIRS})
+	target_link_libraries(bzrtp-static INTERFACE ${LIBS})
+	install(TARGETS bzrtp-static EXPORT ${EXPORT_TARGETS_NAME}Targets
+		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
+	)
+endif()
+if(ENABLE_SHARED)
 	add_library(bzrtp SHARED ${SOURCE_FILES})
+	target_compile_definitions(bzrtp PRIVATE "-DBZRTP_EXPORTS")
 	set_target_properties(bzrtp PROPERTIES VERSION 0)
-	target_link_libraries(bzrtp ${LIBS})
+	target_include_directories(bzrtp PUBLIC ${INCLUDE_DIRS})
+	target_link_libraries(bzrtp PRIVATE ${LIBS})
 	if(MSVC)
-		if(CMAKE_BUILD_TYPE STREQUAL "Debug")
-			install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Debug/bzrtp.pdb
-				DESTINATION bin
+		if(CMAKE_BUILD_TYPE STREQUAL "Debug" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
+			install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_BUILD_TYPE}/bzrtp.pdb
+				DESTINATION ${CMAKE_INSTALL_BINDIR}
 				PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
 			)
 		endif()
 	endif()
+	install(TARGETS bzrtp EXPORT ${EXPORT_TARGETS_NAME}Targets
+		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
+	)
 endif()
-
-install(TARGETS bzrtp EXPORT BZRTPTargets
-	RUNTIME DESTINATION bin
-	LIBRARY DESTINATION lib
-	ARCHIVE DESTINATION lib
-	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
-)
