=== test/CMakeLists.txt ===
--- 
+++ 
@@ -16,34 +16,42 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 #
 ############################################################################
 
 set(TEST_SOURCES
 	bzrtpCryptoTest.c
 	bzrtpParserTest.c
+	bzrtpConfigsTest.c
+	bzrtpZidCacheTest.c
 	bzrtpTest.c
 	testUtils.c
+)
 
-	${CMAKE_SOURCE_DIR}/src/bzrtp.c
-	${CMAKE_SOURCE_DIR}/src/cryptoPolarssl.c
-	${CMAKE_SOURCE_DIR}/src/cryptoUtils.c
-	${CMAKE_SOURCE_DIR}/src/packetParser.c
-	${CMAKE_SOURCE_DIR}/src/pgpwords.c
-	${CMAKE_SOURCE_DIR}/src/stateMachine.c
-	${CMAKE_SOURCE_DIR}/src/zidCache.c
-)
+bc_apply_compile_flags(TEST_SOURCES STRICT_OPTIONS_CPP)
 
 add_executable(bzrtpTest ${TEST_SOURCES})
 set_target_properties(bzrtpTest PROPERTIES LINK_FLAGS "${LINK_FLAGS}")
-if("${CMAKE_VERSION}" VERSION_GREATER "2.8.10")
-	target_include_directories(bzrtpTest PUBLIC ${CUNIT_INCLUDE_DIR})
+set_target_properties(bzrtpTest PROPERTIES LINKER_LANGUAGE CXX)
+target_include_directories(bzrtpTest PUBLIC ${BCTOOLBOX_TESTER_INCLUDE_DIR})
+if(ENABLE_STATIC)
+	target_link_libraries(bzrtpTest bzrtp-static)
 else()
-	include_directories(${CUNIT_INCLUDE_DIR})
+	target_link_libraries(bzrtpTest bzrtp)
 endif()
-target_link_libraries(bzrtpTest ${CUNIT_LIBRARIES} bzrtp)
+target_link_libraries(bzrtpTest ${BCTOOLBOX_LIBRARIES})
+if(SQLITE3_FOUND)
+	target_include_directories(bzrtpTest PUBLIC ${SQLITE3_INCLUDE_DIRS})
+	target_link_libraries(bzrtpTest ${SQLITE3_LIBRARIES})
+if(XML2_FOUND)
+	target_link_libraries(bzrtpTest ${XML2_LIBRARIES})
+endif()
+endif()
 if(HAVE_SQRT)
 	target_link_libraries(bzrtpTest m)
 endif()
+
+unset(PATTERN_FILES_IN_TEST_DIR CACHE)
+
 add_test(NAME bzrtpTest COMMAND bzrtpTest)
