=== debian/watch ===
version=4

opts=\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bzrtp-$1\.tar\.gz/ \
  https://github.com/BelledonneCommunications/bzrtp/tags .*/v?(\d\S*)\.tar\.gz
