## bzrtp 4.4.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 # CMakeLists.txt
-# Copyright (C) 2014  Belledonne Communications, Grenoble France
+# Copyright (C) 2010-2019  Belledonne Communications, Grenoble France
 #
 ############################################################################
 #
@@ -20,16 +20,17 @@
 #
 ############################################################################
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.1)
 
-project(bzrtp VERSION 1.0.6 LANGUAGES C CXX)
-
+project(bzrtp VERSION 4.4.0 LANGUAGES C CXX)
 
 option(ENABLE_SHARED "Build shared library." YES)
 option(ENABLE_STATIC "Build static library." YES)
 option(ENABLE_ZIDCACHE "Turn on compilation of ZID cache, request sqlite" YES)
 option(ENABLE_STRICT "Build with strict compile options." YES)
 option(ENABLE_TESTS "Enable compilation of unit tests." NO)
+option(ENABLE_EXPORTEDKEY_V1_0_RETROCOMPATIBILITY "Enable support for Limev1 with older version of bzrtp(before v1.06)" YES)
+option(ENABLE_PACKAGE_SOURCE "Create 'package_source' target for source archive making (CMake >= 3.11)" OFF)
 
 
 if(NOT CMAKE_INSTALL_RPATH AND CMAKE_INSTALL_PREFIX)
@@ -48,12 +49,7 @@
 include(CheckLibraryExists)
 check_library_exists("m" "sqrt" "" HAVE_SQRT)
 
-if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
-	set(BcToolbox_FIND_COMPONENTS tester)
-	include("${EP_bctoolbox_CONFIG_DIR}/BcToolboxConfig.cmake")
-else()
-	find_package(BcToolbox 0.0.3 REQUIRED OPTIONAL_COMPONENTS tester)
-endif()
+find_package(bctoolbox 0.0.3 REQUIRED OPTIONAL_COMPONENTS tester CONFIG)
 
 if(ENABLE_ZIDCACHE)
 	find_package(Sqlite3 REQUIRED)
@@ -68,7 +64,7 @@
 set(STRICT_OPTIONS_CPP )
 if(NOT MSVC)
 	list(APPEND STRICT_OPTIONS_CPP "-Wall")
-	if(CMAKE_C_COMPILER_ID STREQUAL "Clang")
+	if(CMAKE_C_COMPILER_ID MATCHES "Clang")
 		list(APPEND STRICT_OPTIONS_CPP "-Qunused-arguments")
 	endif()
 	if(ENABLE_STRICT)
@@ -105,56 +101,48 @@
 	endif()
 endif()
 
-
-if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
-	set(EXPORT_TARGETS_NAME "LinphoneBuilder")
-else()
-	set(EXPORT_TARGETS_NAME "BZRTP")
+if (ENABLE_EXPORTEDKEY_V1_0_RETROCOMPATIBILITY)
+	add_definitions("-DSUPPORT_EXPORTEDKEY_V010000")
 endif()
 
+set(EXPORT_TARGETS_NAME "bzrtp")
 
 add_subdirectory(include)
 add_subdirectory(src)
-if(ENABLE_TESTS AND BCTOOLBOX_TESTER_FOUND)
+if(ENABLE_TESTS)
 	enable_testing()
 	add_subdirectory(test)
 endif()
 
 
 include(CMakePackageConfigHelpers)
+set(CONFIG_PACKAGE_LOCATION "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/cmake")
+
 write_basic_package_version_file(
-	"${CMAKE_CURRENT_BINARY_DIR}/BZRTPConfigVersion.cmake"
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGETS_NAME}ConfigVersion.cmake"
 	VERSION ${PROJECT_VERSION}
 	COMPATIBILITY AnyNewerVersion
 )
 export(EXPORT ${EXPORT_TARGETS_NAME}Targets
-	FILE "${CMAKE_CURRENT_BINARY_DIR}/BZRTPTargets.cmake"
-)
-configure_file(cmake/BZRTPConfig.cmake.in
-	"${CMAKE_CURRENT_BINARY_DIR}/BZRTPConfig.cmake"
-	@ONLY
+	FILE "${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGETS_NAME}Targets.cmake"
 )
 
-set(CONFIG_PACKAGE_LOCATION "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/cmake")
+configure_package_config_file(cmake/BZRTPConfig.cmake.in
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGETS_NAME}Config.cmake"
+	INSTALL_DESTINATION ${CONFIG_PACKAGE_LOCATION}
+	NO_SET_AND_CHECK_MACRO
+)
+
 install(EXPORT ${EXPORT_TARGETS_NAME}Targets
-	FILE BZRTPTargets.cmake
+	FILE ${EXPORT_TARGETS_NAME}Targets.cmake
 	DESTINATION ${CONFIG_PACKAGE_LOCATION}
 )
 install(FILES
-	"${CMAKE_CURRENT_BINARY_DIR}/BZRTPConfig.cmake"
-	"${CMAKE_CURRENT_BINARY_DIR}/BZRTPConfigVersion.cmake"
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGETS_NAME}Config.cmake"
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGETS_NAME}ConfigVersion.cmake"
 	DESTINATION ${CONFIG_PACKAGE_LOCATION}
 )
 
-
-# CPack settings
-set(CPACK_PACKAGE_NAME "bzrtp")
-set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
-set(CPACK_SOURCE_GENERATOR "TGZ")
-set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
-set(CPACK_SOURCE_IGNORE_FILES
-        "^${CMAKE_BINARY_DIR}"
-        "/\\\\..+"
-)
-
-include(CPack)
+if (ENABLE_PACKAGE_SOURCE)
+	add_subdirectory(build)
+endif()
