=== test/CMakeLists.txt ===
--- 
+++ 
@@ -29,29 +29,42 @@
 	testUtils.c
 )
 
+add_definitions(
+	-DBCTBX_LOG_DOMAIN="bzrtp"
+)
+
 bc_apply_compile_flags(TEST_SOURCES STRICT_OPTIONS_CPP)
 
 add_executable(bzrtpTest ${TEST_SOURCES})
 set_target_properties(bzrtpTest PROPERTIES LINK_FLAGS "${LINK_FLAGS}")
 set_target_properties(bzrtpTest PROPERTIES LINKER_LANGUAGE CXX)
-target_include_directories(bzrtpTest PUBLIC ${BCTOOLBOX_TESTER_INCLUDE_DIR})
+
+target_link_libraries(bzrtpTest PRIVATE bctoolbox bctoolbox-tester)
+
 if(ENABLE_STATIC)
-	target_link_libraries(bzrtpTest bzrtp-static)
+	target_link_libraries(bzrtpTest PRIVATE bzrtp)
 else()
-	target_link_libraries(bzrtpTest bzrtp)
+	target_link_libraries(bzrtpTest PRIVATE bzrtp)
 endif()
-target_link_libraries(bzrtpTest ${BCTOOLBOX_LIBRARIES})
 if(SQLITE3_FOUND)
-	target_include_directories(bzrtpTest PUBLIC ${SQLITE3_INCLUDE_DIRS})
-	target_link_libraries(bzrtpTest ${SQLITE3_LIBRARIES})
+	target_include_directories(bzrtpTest PRIVATE ${SQLITE3_INCLUDE_DIRS})
+	target_link_libraries(bzrtpTest PRIVATE ${SQLITE3_LIBRARIES})
+endif()
 if(XML2_FOUND)
-	target_link_libraries(bzrtpTest ${XML2_LIBRARIES})
+  	target_include_directories(bzrtpTest PRIVATE ${XML2_INCLUDE_DIRS})
+	target_link_libraries(bzrtpTest PRIVATE ${XML2_LIBRARIES})
 endif()
-endif()
+
 if(HAVE_SQRT)
-	target_link_libraries(bzrtpTest m)
+	target_link_libraries(bzrtpTest PRIVATE m)
 endif()
 
 unset(PATTERN_FILES_IN_TEST_DIR CACHE)
+find_file(PATTERN_FILES_IN_TEST_DIR
+       patternZIDAlice.sqlite ${CMAKE_CURRENT_BINARY_DIR}
+)
+if (NOT PATTERN_FILES_IN_TEST_DIR)
+       file(COPY patternZIDAlice.sqlite DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
+endif()
 
-add_test(NAME bzrtpTest COMMAND bzrtpTest)
+add_test(NAME bzrtpTest COMMAND bzrtpTest --resource-dir .)
