=== debian/changelog ===
bzrtp (4.4.13-2) unstable; urgency=medium

  * Team upload.
  * Release to unstable.
  * Drop Daniel Gnoutcheff from Uploaders
  * Drop Marc Purcell from Uploaders
  * Add myself to uploaders

 -- Bernhard Schmidt <berni@debian.org>  Fri, 25 Dec 2020 17:04:16 +0100

bzrtp (4.4.13-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.4.13
  * Change Vcs-* to linphone-stack subgroup
  * Bump to debhelper-compat (= 12)
  * Drop obsolete no-upstream-changelog lintian overrides

 -- Bernhard Schmidt <berni@debian.org>  Mon, 07 Dec 2020 10:59:55 +0100

bzrtp (4.4.0-1) experimental; urgency=medium

  * New upstream version 4.4.0
  * Tighten build-dep on bctoolbox

 -- Bernhard Schmidt <berni@debian.org>  Tue, 01 Sep 2020 00:26:57 +0200

bzrtp (4.3.1-1) experimental; urgency=medium

  * Team upload.
  * d/watch: Switch to upstream primary Gitlab, only use releases
  * New upstream version 4.3.1
  * Bump to debhelper compat 11

 -- Bernhard Schmidt <berni@debian.org>  Tue, 02 Jun 2020 00:05:51 +0200
