=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: bzrtp
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>,
-           Kilian Krause <kilian@debian.org>,
+Uploaders: Kilian Krause <kilian@debian.org>,
            Tzafrir Cohen <tzafrir@debian.org>,
-           Daniel Gnoutcheff <daniel@gnoutcheff.name>,
+           Bernhard Schmidt <berni@debian.org>,
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 10),
-               libbctoolbox-dev,
+               debhelper-compat (= 12),
+               libbctoolbox-dev (>= 4.4.0~),
                libsqlite3-dev,
                libxml2-dev,
 Standards-Version: 4.1.1
 Section: libs
 Homepage: https://www.linphone.org/
-Vcs-Git: https://salsa.debian.org/pkg-voip-team/bzrtp.git
-Vcs-Browser: https://salsa.debian.org/pkg-voip-team/bzrtp
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/bzrtp.git
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/bzrtp
 
 Package: libbzrtp-dev
 Section: libdevel
