=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Upstream unconditionally sets CMAKE_INSTALL_RPATH. Make it ineffective by
 # setting CMAKE_SKIP_RPATH
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON
+	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON -DENABLE_STATIC=no
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='libbzrtp0-dbg (<< 1.0.6-1~)'
