## bzrtp 5.1.64

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,16 +22,16 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-project(bzrtp VERSION 4.4.0 LANGUAGES C CXX)
+project(bzrtp VERSION 5.1.0 LANGUAGES C CXX)
 
 option(ENABLE_SHARED "Build shared library." YES)
 option(ENABLE_STATIC "Build static library." YES)
 option(ENABLE_ZIDCACHE "Turn on compilation of ZID cache, request sqlite" YES)
 option(ENABLE_STRICT "Build with strict compile options." YES)
 option(ENABLE_TESTS "Enable compilation of unit tests." NO)
-option(ENABLE_EXPORTEDKEY_V1_0_RETROCOMPATIBILITY "Enable support for Limev1 with older version of bzrtp(before v1.06)" YES)
+option(ENABLE_DOC "Enable API documentation generation." NO)
+option(ENABLE_EXPORTEDKEY_V1_0_RETROCOMPATIBILITY "Enable support for Limev1 with older version of bzrtp(before v1.06)" NO)
 option(ENABLE_PACKAGE_SOURCE "Create 'package_source' target for source archive making (CMake >= 3.11)" OFF)
-
 
 if(NOT CMAKE_INSTALL_RPATH AND CMAKE_INSTALL_PREFIX)
 	set(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR})
@@ -143,6 +143,20 @@
 	DESTINATION ${CONFIG_PACKAGE_LOCATION}
 )
 
+if(ENABLE_DOC)
+	# Doxygen
+	find_package(Doxygen)
+	if (DOXYGEN_FOUND)
+		configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
+		add_custom_target(doc ALL
+			${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
+			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
+			COMMENT "Generating API documentation with Doxygen" VERBATIM)
+		install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/doc/html/"
+			DESTINATION "${CMAKE_INSTALL_DATADIR}/doc/bzrtp-${PROJECT_VERSION}")
+	endif()
+endif()
+
 if (ENABLE_PACKAGE_SOURCE)
 	add_subdirectory(build)
 endif()
