=== debian/changelog ===
bzrtp (5.1.64-2) unstable; urgency=medium

  * Release to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Sun, 27 Nov 2022 17:31:19 +0100

bzrtp (5.1.64-1) experimental; urgency=medium

  * New upstream release 5.1.64

 -- Dennis Filder <d.filder@web.de>  Wed, 05 Oct 2022 21:45:44 +0200

bzrtp (5.0.37-2) unstable; urgency=medium

  * Release to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Mon, 12 Sep 2022 09:15:08 +0200

bzrtp (5.0.37-1) experimental; urgency=medium

  [ Dennis Filder ]
  * New upstream version 5.0.37
  * Change to debhelper-compat 13

 -- Bernhard Schmidt <berni@debian.org>  Tue, 30 Nov 2021 19:13:21 +0100
