=== debian/control ===
--- 
+++ 
@@ -4,22 +4,25 @@
 Uploaders: Kilian Krause <kilian@debian.org>,
            Tzafrir Cohen <tzafrir@debian.org>,
            Bernhard Schmidt <berni@debian.org>,
-Build-Depends: cmake (>= 3.0),
-               debhelper-compat (= 12),
-               libbctoolbox-dev (>= 4.4.0~),
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               libbctoolbox-dev (>= 5.1.64~),
                libsqlite3-dev,
                libxml2-dev,
-Standards-Version: 4.1.1
+Standards-Version: 4.6.1
 Section: libs
+Rules-Requires-Root: no
 Homepage: https://www.linphone.org/
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/bzrtp.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/bzrtp
+Description: Library for the ZRTP key exchange protocol
 
 Package: libbzrtp-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libbzrtp0 (= ${binary:Version}),
+         libbctoolbox-dev (>= 5.1.64~),
          libxml2-dev,
          ${misc:Depends},
 Description: Development files for the Bzrtp key exchange library
