=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

# Upstream unconditionally sets CMAKE_INSTALL_RPATH. Make it ineffective by
# setting CMAKE_SKIP_RPATH
override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON -DENABLE_STATIC=no \
		-DDEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM)

execute_after_dh_auto_install:
	echo 'Requires.private: bctoolbox >= $(DEB_VERSION_UPSTREAM)' \
		>> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libbzrtp.pc

# For fallback BC sometimes offers autoconf build systems.  As we
# don't use it we don't want it updated, otherwise dpkg-source nags.
override_dh_autotools_update_config:
override_dh_autoreconf:
